petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscViewerASCIIOpenWithFILE

Given an open file creates an ASCII viewer that prints to it.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscViewerASCIIOpenWithFILE(MPI_Comm comm,FILE *fd,PetscViewer *lab)

Collective on MPI_Comm Many br

### Input Parameters

| comm | - the communicator Many br
| fd | - the FILE pointer Many br

### Output Parameter

lab -the PetscViewer to use with the specified file Many br

Many br

### Notes

This PetscViewer can be destroyed with PetscViewerDestroy(), but the fd will NOT be closed. Many br

If a multiprocessor communicator is used (such as PETSC_COMM_WORLD), Many brthen only the first processor in the group uses the file. All other Many brprocessors send their data to the first processor to print. Many br

### See Also

MatView(), VecView(), PetscViewerDestroy(), PetscViewerBinaryOpen(),
PetscViewerASCIIGetPointer(), PetscViewerPushFormat(), PETSC_VIEWER_STDOUT_, PETSC_VIEWER_STDERR_, Many brPETSC_VIEWER_STDOUT_WORLD, PETSC_VIEWER_STDOUT_SELF, PetscViewerASCIIOpen() Many br

Level:beginner
Location:src/sys/classes/viewer/impls/ascii/vcreatea.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages